/*-*-linux-c-*-*/

#ifndef CONFIG_H
#define CONFIG_H

#define BTN_DWNLD_DIR 0
#define BTN_CONF_OK 1
#define BTN_SHR_DIR_ADD 2
#define BTN_SHR_DIR_REMOVE 3
#define BTN_CONF_APPLY 4
#define BTN_CONF_CANCEL 5

/*
typedef enum { sModem, sISDN, sISDN2, 
	       sCable, sADSL, sT1, sT3, sCustom } con_speed;
*/

int config_create_dir(char *c_dir);

int config_save_to_file(void);
int config_load_from_file(void);

void config_set_default(void);
void config_refresh_main(void);
void config_refresh(void);

void config_draw(void);

#endif
